h1 {
    font-size: 40px;
    color: #302e66;
}

p {
    font-size: 22px;
    color: #302e66;
}

.ventana-home {
    background-image: url('img/Fondo1.jpg');
    background-size: cover;
    background-repeat: repeat-y;
    /* bakc */
}

.ventana-video {
    padding: 0;
    background-image: url('img/Fondo2.png');
    background-size: cover;
    background-repeat: repeat-y;
}

.me-2 {
    margin-right: 1.5rem !important;
}

.contenedor {
    background-color: #fff;
    height: 100%;
    width: 50vw;
    margin: 20px auto;
    border-radius: 25px;
    border: 7px solid #302e66;
    font-size: 20px;

    .nav {
        display: flex;
        justify-content: flex-end;
        border-radius: 25px 25px 0 0;
        height: 50px;
        border-bottom: 7px solid #302e66;

        span,
        i {
            font-size: 30px;
            margin: auto 5px;
            color: #302e66;
            cursor: default;
        }

        span {
            font-weight: 900;
        }
    }

    .logo {
        width: 80%;
        margin: 0 auto;

        .img-logo {
            margin: -70px 20% 0 20%;
            width: 60%;
            filter: drop-shadow(0 10px 20px #22222262);
        }
    }

    form {
        display: flex;
        flex-direction: column;
        margin: 0 10% 10px;
        width: 80%;

        h1 {
            /* font-size: 30px; */
            text-align: center;
            color: #302e66;
        }

        input {
            padding: 10px;
            background: #d1edf8;
            border: 6px solid #302e66;
            border-radius: 20px;
            margin: 5px 0;
            font-size: 20px;

        }
        .tratamientos{
            display: flex;
            position: relative;
            margin-bottom: 12px;
            cursor: pointer;
            font-size: 22px;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }
        .tratamientos input{
            position: absolute;
            opacity: 0;
            cursor: pointer;
            height: 0;
            width: 0;
        }
        .tratamientos a{
            padding-left: 40px;
            text-decoration: none;
            color: #302e66;
            padding-top: 5px;
        }
        .checkmark {
            position: absolute;
            top: 0;
            /*left: 0;*/
            height: 25px;
            width: 25px;
                        padding: 10px;
            background: #d1edf8;
            border: 6px solid #302e66;
            border-radius: 10px;
            margin: 5px 0;
            font-size: 20px;
        }
        /* On mouse-over, add a grey background color */
        .tratamientos:hover input ~ .checkmark {
          background-color: #ccc;
        }
        
        /* When the checkbox is checked, add a blue background */
        .tratamientos input:checked ~ .checkmark {
          background-color: #d1edf8;
        }
        
        /* Create the checkmark/indicator (hidden when not checked) */
        .checkmark:after {
          content: "";
          position: absolute;
          display: none;
        }
        
        /* Show the checkmark when checked */
        .tratamientos input:checked ~ .checkmark:after {
          display: block;
        }
        
        /* Style the checkmark/indicator */
        .tratamientos .checkmark:after {
          left: 9px;
          top: 5px;
          width: 5px;
          height: 10px;
          border: solid white;
          border-width: 0 3px 3px 0;
          -webkit-transform: rotate(45deg);
          -ms-transform: rotate(45deg);
          transform: rotate(45deg);
        }
    } 
}

.btn-next {
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    font-size: 30px;
    font-weight: 900;
    width: 40%;
    margin: 0 30% 20px;
    padding: 10px;
    border: 6px solid #302e66;
    color: #302e66;
    border-radius: 20px;
    box-shadow: 7px 7px 1px #35aff5;
}

.contenedo-registro {
    position: relative;
    width: 80%;
    margin: 4rem auto 0;
    height: 100%;
}

.ventana {

    h1{
        width: 90%;
        margin: 0 auto 10px;
        /* background-color: #35aff5; */
        text-align: center;
    }
    
    p {
        width: 90%;
        margin: 0 auto 10px;
        /* background-color: #35aff5; */
        text-align: justify;
    }
}

.img-audifonos {
    left: -200px;
    width: 20vw;
    top: calc(50% - 200px);
    position: absolute;
}

.video-container {
    position: relative;
    width: 60%;
    margin: 0 auto;
}

#myVideo {
    width: 100%;
    height: 100%;
    border: 6px solid #302e66;
    border-radius: 20px;
}

#playButton {
    position: absolute;
    width: 100px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
    z-index: 2;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.video-container:hover #playButton {
    opacity: 1;
    display: block;
}

.controls {
    position: absolute;
    bottom: 10px;
    left: 0;
    width: 90%;
    margin: 0 5%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;
}

#timeBar {
    width: 80%;
    margin: 0 10px;
    color: #000;
    /* background-color: #302e66; */
}

#currentTime,
#duration {
    color: white;
}

.alerts {
    position: fixed;
    padding: 10px 20px;
    top: 20px;
    right: 20px;
    z-index: 1050;
    background: #ffffffdc;
    backdrop-filter: blur(3px);
    border: 6px solid #302e66;
    border-radius: 20px;
}



/* Page Condatod */
.temporizador-page {
    width: 90%;
    margin: 0 auto 3rem;

    .d-grid {
        width: 100%;
        /* margin: 0 10px; */
        margin: 0 auto;
        display: grid;
        grid-template-columns: auto auto auto auto;
        gap: 10px;

        /* background-color: #35aff5; */
        .cont-hora {
            background-color: #d1edf8;
            border: 5px solid #302e66;
            box-shadow: 8px 8px 1px #35aff5;
            border-radius: 20px;
            /* margin: 0 1rem; */
            width: 100%;
            color: #302e66;

            .numero-temporizador {
                font-size: 60px;
                font-weight: bold;
            }

            .texto-temporizador {
                font-size: 30px;
                font-weight: bold;
            }
        }
    }
}



.contador-title {
    color: #302e66;

    span {
        background-color: #3bb070;
        color: #fed106;
        border-radius: 4px;
    }
}


/* Contenedor-page */

@media only screen and (max-device-width: 1199px) {
    .container {
        /*height: 100vh;*/
    }

    .camera_tag {
        min-width: 412px;
    }

    #myFirstCamera {
        font-size: 14px;

    }

    /* .camera_tag .cameratag_recording_controls .cameratag_prompt_text {
        font-size: 20px !important;
        font-family: 'karbonregular';
        font-weight: bold;
        font-style: bold;
        color: #009bd8;
    } */

    .accept-screen {
        width: 0 !important;
    }

    .cameratag_approval_container {
        flex-direction: column;
    }

    .camera_tag .cameratag_screen.cameratag_completed .cameratag_checkmark {
        font-size: 1.2em !important;

    }

}

#myFirstCamera {
    /*width: 100vh !important;*/
    font-size: 16px !important;
    margin: 3rem auto 10px;
    border-radius: 20px;
    border: 5px solid #302e66;
    background-color: #d1edf8;
}

.cameratag_prompt_label{
    display: none;
}

#video-grabacion {
    box-sizing: border-box;
    height: 100%;
    overflow: hidden;
    width: 100%;
    font-family: 'karbonregular' !important;
    font-weight: bold;
    font-style: normal;
    color: #009bd8;
}

#myPlayer {
    width: 100% !important;
}



.grabacion {
    /* height: 100vh; */
    background-image: url('img/Fondo3.png');
    background-size: cover;
    background-repeat: repeat-y;

    .contenedor-grabacion {
        width: 70%;
        height: 80vh;
        min-width: 90%;
        margin: 3rem auto 10px;
        border-radius: 20px;
        border: 5px solid #302e66;
        background-color: #d1edf8;
        position: relative;

        h1 {
            font-weight: bold;
            position: absolute;
            text-align: center;
            display: flex;
            justify-content: center;
            align-items: flex-end;
            color: #302e66;
            width: 100%;
            height: 30%;
            /* background-color: #52662e; */
        }

        .btn-camara {
            position: absolute;
            top: 40%;
            left: calc(50% - 100px);
            height: 200px;
            width: 200px;
            background-color: #d1edf8;
            background-image: url('img/camara.png');
            background-size: cover;
            border: none;
            /* filter: drop-shadow(0 10px 20px #1d1d1d); */
        }
    }
}

.contenedor-contador {
    margin-top: 8rem !important;
}

.camera_tag .cameratag_recording_controls.recording.prompt .cameratag_prompt_text{
    font-size: 1.5rem !important;
    text-align: center !important;
}

@media(max-width: 1500px) {
    .contenedor {
        /* width: 80%; */
        margin: 20px auto;

        form h1 {
            margin: 0 5%;
            font-size: 30px;

            input {
                padding: 10px;

            }

            .btn-next {
                margin: 0 30% 0px;
                padding: 10px;
            }
        }
    }

    .video-container {
        width: 80%;
    }

    .btn-inst {
        width: 60%;
        margin: 0 20% 20px;
        font-size: 25px;
    }

    .img-audifonos {
        top: calc(80% - 200px);
        left: -150px;
    }

    .contenedor-grabacion,
    .contenedor-contador,
    .contenedo-registro {
        margin-top: 1rem !important;
    }
}

@media(max-width: 1000px) {

    #myFirstCamera {
        width: 80vh !important;
    }
    
    h1 {
        font-size: 1.7rem;
    }

    p {
        font-size: 1rem;
    }

    .nav {

        i,
        span {
            font-size: 1.5rem !important;
        }
    }

    .contenedor {
        width: 90%;
        margin: 20px auto;
    }

    .contenedor,
    input,
    .btn-next {
        font-size: 16px !important;
    }

    .contenedor form {
        width: 90%;
        margin: 10px auto 20px;
    }

    .btn-next {
        width: 80%;
        margin: 10px 10%;
    }

    .img-logo {
        width: 90% !important;
        margin: 0 5% !important;
    }

    .img-audifonos {
        top: auto;
        left: -12%;
        bottom: 15px;
    }

    .video-container {
        width: 90%;
        margin: 0 calc(5% - 6px);
    }

    .temporizador {
        width: 90vw;
    }

    .temporizador-page {
        width: 100%;
        margin: 0 auto 1rem;

        .d-grid {
            width: 95%;
            grid-template-columns: auto auto;
            gap: 10px;

            /* background-color: #35aff5; */
            .cont-hora {
                background-color: #d1edf8;
                border: 5px solid #302e66;
                box-shadow: 5px 5px 1px #35aff5;
                border-radius: 20px;
                /* margin: 0 0.5rem; */
                color: #302e66;

                .numero-temporizador {
                    font-size: 25px !important;
                }

                .texto-temporizador {
                    font-size: 15px !important;
                }
            }
        }

    }
}

@media(max-width: 740px){
    #myFirstCamera {
        width: 60vh !important;
    }
}

@media(max-width: 500px) {
    .temporizador-page {
        .d-grid {
            width: 90%;
            grid-template-columns: auto;
        }
    }
    #myFirstCamera {
        width: 90% !important;
    }
}

/*footer*/
.login-footer {
display: grid;
    justify-items: center;
    grid-template-columns: auto 15% auto 15% auto;
    align-items: center;
}

.login-footer span {
    width: 2px;
    background-color: #fff;
    margin: 0 auto;
    display: flex;
    height: 100%;
}
.login-footer a{
    color: white;
    text-decoration: none;
    font-size: 22px;
}

.login-footer p {
    /* margin-top: 20px; */
    color: #fff;
    padding: 0;
    margin: 10px 0 0 0;
    text-align: center;
}

.idea {
    display: flex;
}

.idea-img {
    width: 150px;
    margin-left: 2rem;
    margin-top: .7rem;
}

@media only screen and (max-device-width: 1199px) {
    .container {
        height: auto !important;
    }
}

@media(max-width: 900px){
    .login-footer{
        grid-template-columns:auto !important;
    }
    .idea-img{
     margin: 10px;   
    }
}
 /*end footer*/
 
 
 /* Modal */
    .modal {
      display: none; /* Oculto por defecto */
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.5); /* Fondo semitransparente */
      justify-content: center;
      align-items: center;
      z-index: 1000;
    }

    .modal-content {
      background-color: #fff;
      padding: 20px;
      border-radius: 8px;
      max-width: 90%;
      max-height: 90%;
      text-align: center;
      position: relative;
    }

    /* Imagen dentro del modal */
    .modal-content img {
      max-width: 100%;
      max-height: 100%;
      border-radius: 8px;
    }

    /* Botón de cierre */
    .close-btn {
      position: absolute;
      top: 10px;
      right: 10px;
      font-size: 20px;
      color: #333;
      background: none;
      border: none;
      cursor: pointer;
    }